Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

SPI/Persistence/Content/Section/Handler.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\SPI\Persistence\Content\Section;
8
9 interface Handler
10 {
22 public function create($name, $identifier);
23
33 public function update($id, $name, $identifier);
34
44 public function load($id);
45
51 public function loadAll();
52
62 public function loadByIdentifier($identifier);
63
73 public function delete($id);
74
81 public function assign($sectionId, $contentId);
82
90 public function assignmentsCount($sectionId);
91
99 public function policiesCount($sectionId);
100
108 public function countRoleAssignmentsUsingSection($sectionId);
109 }
eZ\Publish\SPI\Persistence\Content\Section\$identifier
$identifier
Definition: SPI/Persistence/Content/Section.php:25
eZ\Publish\SPI\Persistence\Content\Section\$id
$id
Definition: SPI/Persistence/Content/Section.php:18
eZ\Publish\SPI\Persistence\Content\Section\$name
$name
Definition: SPI/Persistence/Content/Section.php:32
eZ\Publish\SPI\Persistence\Content\Section\Handler
Definition: SPI/Persistence/Content/Section/Handler.php:10
eZ\Publish\SPI\Persistence\Content\Section\Handler\create
create($name, $identifier)
Create a new section.
eZ\Publish\SPI\Persistence\Content\Section\Handler\countRoleAssignmentsUsingSection
countRoleAssignmentsUsingSection($sectionId)
Counts the number of role assignments using section with $sectionId in their limitations.
eZ\Publish\SPI\Persistence\Content\Section\Handler\assign
assign($sectionId, $contentId)
Assigns section to single content object.
eZ\Publish\SPI\Persistence\Content\Section\Handler\assignmentsCount
assignmentsCount($sectionId)
Number of content assignments a Section has.
eZ\Publish\SPI\Persistence\Content\Section\Handler\load
load($id)
Get section data.
eZ\Publish\SPI\Persistence\Content\Section\Handler\update
update($id, $name, $identifier)
Update name and identifier of a section.
eZ\Publish\SPI\Persistence\Content\Section\Handler\loadAll
loadAll()
Get all section data.
eZ\Publish\SPI\Persistence\Content\Section\Handler\policiesCount
policiesCount($sectionId)
Number of role policies using a Section in limitations.
eZ\Publish\SPI\Persistence\Content\Section\Handler\loadByIdentifier
loadByIdentifier($identifier)
Get section data by identifier.
eZ\Publish\SPI\Persistence\Content\Section
Definition: SPI/Persistence/Content/Section/Handler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.